Subject: Fwd: Re: Guestgroups

From: "Peter Harris Client Svc-ME" <[email-masked]>
Date: Wed, 11 Dec 96 15:56:53 -0000

Thanks for the reply Antony.

I've moved it on a stage!
I had already replicated the directory structure from the anon ftp user 
for the new user (inc dev files and lib files).

NOW (I only tweaked some bits of the ftpaccess, ftpgroups files) I can 
log in, the chroot works, but ls does not. The error I gett is the old 
classic:
425 Cannot create data socket(0.0.0.0,20): Bad file number.

I tried running the ls file (as shown below) and it worked:

chroot /usr/suba /bin/ls

(where suba is the new user).
The SCO v5 UNIX is based on AT&T if that helps.

>Remember when you chroot users there are various bits and pieces which 
need to
>be available to each user in their own chrooted file system - they can't 
see the real /usr/lib stuff. They >all need their own usr/lib files and 
dev/tcp and dev/zero and bin/ls and maybe even etc/passwd and >etc/group 
if you want ls to show usernames and groups instead of uid and gid 
numbers.

>You don't say what errors you get when you try to login as a guestgroup 
user.
>Anything in /var/adm/messages ? 

>Anthony

> All,
> 
> I've followed the instructions for setting up a guestgroup in Michael 
> Brennen's doc - BUT once I enter the guestgroup in ftpaccess file it 
will 
> not let that user log in. If I take out the guestgroup reference, it 
lets 
> the user log in as a normal user. I need the chroot() to happen so this 

> is no good to me!
> 
> I'm using wuftpd 2.4 (not beta II) - no need for the virtual stuff.
> I'm running on a SCO UNIX v5 system, but I don't think this is 
relevant.
> I searched the FAQ to no avail.
> 
> Thanks in advance
> Pete
> ______________________
> 
> Peter Harris
> Information Technologist
> Madge Europe
> email: [email-masked]
> tele: +44 1628 858587
> Int ext: 33857
> ______________________
> 
>